Bug 847538 - Review Request: mediawiki119-HTTP302Found - Forces an external HTTP 302 redirect instead of internal redirects
Summary: Review Request: mediawiki119-HTTP302Found - Forces an external HTTP 302 redir...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-12 18:48 UTC by Patrick Uiterwijk
Modified: 2012-09-05 17:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-05 17:28:26 UTC
Type: ---
kevin: fedora-review+


Attachments (Terms of Use)

Description Patrick Uiterwijk 2012-08-12 18:48:08 UTC
Spec URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-HTTP302Found/mediawiki119-HTTP302Found.spec
SRPM URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-HTTP302Found/mediawiki119-HTTP302Found-2.0.1-1.fc17.src.rpm
Fedora Account System Username: puiterwijk
Description: Pushes a HTTP code 302 (Found) to the browser when there is a redirect instead
of handling it internally. The end user will not notice any difference (other
than the address to the page having an ?rd=Redirecting_page bit at the end).

Comment 1 Kevin Fenzi 2012-08-12 18:49:44 UTC
I'll review this.

Comment 3 Kevin Fenzi 2012-08-12 19:03:38 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
83a16d4ed5a3f2cab1ffb40b3f0a086d  ./HTTP302Found-2.0.tar.gz
83a16d4ed5a3f2cab1ffb40b3f0a086d  /HTTP302Found-2.0.tar.gz

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
OK - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

I see no blockers, so this package is APPROVED.

Comment 4 Patrick Uiterwijk 2012-08-12 19:05:44 UTC
New Package SCM Request
=======================
Package Name: mediawiki119-HTTP302Found
Short Description: Forces an external HTTP 302 redirect instead of internal redirects
Owners: puiterwijk
Branches: f18 el6
InitialCC:

Comment 5 Gwyn Ciesla 2012-08-12 21:06:47 UTC
No reason to re-set cvs flag. . .

Comment 6 Kevin Fenzi 2012-08-12 21:38:23 UTC
Note that this is "mediawiki119-HTTP302Found" and not "mediawiki-HTTP302Found" :) 

One is built against/for the mediawiki119 package. ;)

Comment 7 Gwyn Ciesla 2012-08-12 21:43:39 UTC
Git done (by process-git-requests).

Comment 8 Gwyn Ciesla 2012-08-12 21:44:07 UTC
<facepalm>

Comment 9 Gwyn Ciesla 2012-08-12 21:47:40 UTC
?

Comment 10 Patrick Uiterwijk 2012-08-12 21:49:49 UTC
Jon Ciesla: Thanks for setting it up, I will import it as soon as it allows me to :).
And I'm sorry I didn't add that notification to the request comment, I guess that would've prevented annoyance from you.

Comment 11 Gwyn Ciesla 2012-08-12 21:53:55 UTC
That, or I could, you know, learn to read. :)

Comment 12 Patrick Uiterwijk 2012-08-12 22:01:10 UTC
Hehe, I guess you can, otherwise you wouldn't have noticed it was almost the same name as earlier today. ;)

Comment 13 Fedora Update System 2012-08-12 22:04:00 UTC
mediawiki119-HTTP302Found-2.0.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mediawiki119-HTTP302Found-2.0.1-2.el6

Comment 14 Fedora Update System 2012-08-13 03:00:57 UTC
mediawiki119-HTTP302Found-2.0.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2012-09-05 17:28:26 UTC
mediawiki119-HTTP302Found-2.0.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.